package market.Qms.com.vo;

import java.io.Serializable;
import java.util.Date;

import market.Qms.com.mapper.BasePlineMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_BASE_PLINE", namespace=BasePlineMapper.class)
public class BasePline extends BaseVO implements Serializable {

	/** 产线代码 */
	@Id("PLINE_CODE")
	private String plineCode;

	/** 产线描述 */
	@Column("PLINE_NAME")
	private String plineName;

	/** 管理科室代码 */
	@Column("DEPARTMENT_CODE")
	private String departmentCode;

	/** 管理科室描述 */
	@Column("DEPARTMENT_DESC")
	private String departmentDesc;

	/** 来料长度下限 */
	@Column("IN_MATERIAL_LEN_MIN")
	private Integer inMaterialLenMin;

	/** 来料长度上限 */
	@Column("IN_MATERIAL_LEN_MAX")
	private Integer inMaterialLenMax;

	/** 创建人 */
	@Column("CREATE_NAME")
	private String createName;

	/** 创建时间 */
	@Column("CREATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;

	/** 修改人 */
	@Column("UPDATE_NAME")
	private String updateName;

	/** 修改时间 */
	@Column("UPDATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;

	/** 删除人 */
	@Column("DELETE_NAME")
	private String deleteName;

	/** 删除时间 */
	@Column("DELETE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date deleteTime;

	/** 有效标志(1:有效，0:无效) */
	@Column
	private String validflag;

	/** 备注 */
	@Column
	private String memo;

	/** 工序代码 */
	@Column("PROCESS_CODE")
	private String processCode;

	/** 工序描述 */
	@Column("PROCESS_DESC")
	private String processDesc;

	/** {老系统}产线代码 */
	@Column("PLINE_CODE_OLD")
	private String plineCodeOld;

	/** 冷床长度(最大值)--轧管工序 */
	@Column("LENGTH_COLDBED")
	private Integer lengthColdbed;

	/** 环型炉长度上限值--轧管工序 */
	@Column("LENGTH_MAX_RING")
	private Integer lengthMaxRing;

	/** 环型炉长度下限值--轧管工序 */
	@Column("LENGTH_MIN_RING")
	private Integer lengthMinRing;

	/** 脱管机长度下限值--轧管工序 */
	@Column("LENGTH_MIN_TUBE")
	private Integer lengthMinTube;

	/** 脱管机长度上限值--轧管工序 */
	@Column("LENGTH_MAX_TUBE")
	private Integer lengthMaxTube;

	/** 烧损率(%)--轧管工序 */
	@Column("BURNOUT_RATE")
	private Integer burnoutRate;

	/** 计划分组（com_base_info  408001 ） */
	@Column("GROUP_PLAN")
	private String groupPlan;

	/** 缴库分组（com_base_info  408002） */
	@Column("GROUP_PAY")
	private String groupPay;

	/** 机组壁厚公差带能力% */
	@Column("TOLERANCE_ZONE")
	private Integer toleranceZone;

	/** 管理部门代码 */
	@Column("DEPARTMENT_CODE_P")
	private String departmentCodeP;

	/** 管理部门描述 */
	@Column("DEPARTMENT_DESC_P")
	private String departmentDescP;

	/** 排产缩写码（计划专用） */
	@Column("SCHEDULE_CODE")
	private String scheduleCode;

	/** 产线标识符(检化验生成样条号首字母用) */
	@Column("SPLINE_DESC")
	private String splineDesc;

	/** 试样号首字母 */
	@Column("SAM_FCODE")
	private String samFcode;

	/** 批号规则区间(0-12;35-56) */
	@Column("BATCH_INTERVAL")
	private String batchInterval;

	public String getPlineCode() {
		return this.plineCode;
	}

	public String getPlineName() {
		return this.plineName;
	}

	public String getDepartmentCode() {
		return this.departmentCode;
	}

	public String getDepartmentDesc() {
		return this.departmentDesc;
	}

	public Integer getInMaterialLenMin() {
		return this.inMaterialLenMin;
	}

	public Integer getInMaterialLenMax() {
		return this.inMaterialLenMax;
	}

	public String getCreateName() {
		return this.createName;
	}

	public Date getCreateTime() {
		return this.createTime;
	}

	public String getUpdateName() {
		return this.updateName;
	}

	public Date getUpdateTime() {
		return this.updateTime;
	}

	public String getDeleteName() {
		return this.deleteName;
	}

	public Date getDeleteTime() {
		return this.deleteTime;
	}

	public String getValidflag() {
		return this.validflag;
	}

	public String getMemo() {
		return this.memo;
	}

	public String getProcessCode() {
		return this.processCode;
	}

	public String getProcessDesc() {
		return this.processDesc;
	}

	public String getPlineCodeOld() {
		return this.plineCodeOld;
	}

	public Integer getLengthColdbed() {
		return this.lengthColdbed;
	}

	public Integer getLengthMaxRing() {
		return this.lengthMaxRing;
	}

	public Integer getLengthMinRing() {
		return this.lengthMinRing;
	}

	public Integer getLengthMinTube() {
		return this.lengthMinTube;
	}

	public Integer getLengthMaxTube() {
		return this.lengthMaxTube;
	}

	public Integer getBurnoutRate() {
		return this.burnoutRate;
	}

	public String getGroupPlan() {
		return this.groupPlan;
	}

	public String getGroupPay() {
		return this.groupPay;
	}

	public Integer getToleranceZone() {
		return this.toleranceZone;
	}

	public String getDepartmentCodeP() {
		return this.departmentCodeP;
	}

	public String getDepartmentDescP() {
		return this.departmentDescP;
	}

	public String getScheduleCode() {
		return this.scheduleCode;
	}

	public String getSplineDesc() {
		return this.splineDesc;
	}

	public String getSamFcode() {
		return this.samFcode;
	}

	public String getBatchInterval() {
		return this.batchInterval;
	}

	public void setPlineCode(String plineCode) {
		this.plineCode = plineCode;
	}

	public void setPlineName(String plineName) {
		this.plineName = plineName;
	}

	public void setDepartmentCode(String departmentCode) {
		this.departmentCode = departmentCode;
	}

	public void setDepartmentDesc(String departmentDesc) {
		this.departmentDesc = departmentDesc;
	}

	public void setInMaterialLenMin(Integer inMaterialLenMin) {
		this.inMaterialLenMin = inMaterialLenMin;
	}

	public void setInMaterialLenMax(Integer inMaterialLenMax) {
		this.inMaterialLenMax = inMaterialLenMax;
	}

	public void setCreateName(String createName) {
		this.createName = createName;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	public void setDeleteTime(Date deleteTime) {
		this.deleteTime = deleteTime;
	}

	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public void setProcessCode(String processCode) {
		this.processCode = processCode;
	}

	public void setProcessDesc(String processDesc) {
		this.processDesc = processDesc;
	}

	public void setPlineCodeOld(String plineCodeOld) {
		this.plineCodeOld = plineCodeOld;
	}

	public void setLengthColdbed(Integer lengthColdbed) {
		this.lengthColdbed = lengthColdbed;
	}

	public void setLengthMaxRing(Integer lengthMaxRing) {
		this.lengthMaxRing = lengthMaxRing;
	}

	public void setLengthMinRing(Integer lengthMinRing) {
		this.lengthMinRing = lengthMinRing;
	}

	public void setLengthMinTube(Integer lengthMinTube) {
		this.lengthMinTube = lengthMinTube;
	}

	public void setLengthMaxTube(Integer lengthMaxTube) {
		this.lengthMaxTube = lengthMaxTube;
	}

	public void setBurnoutRate(Integer burnoutRate) {
		this.burnoutRate = burnoutRate;
	}

	public void setGroupPlan(String groupPlan) {
		this.groupPlan = groupPlan;
	}

	public void setGroupPay(String groupPay) {
		this.groupPay = groupPay;
	}

	public void setToleranceZone(Integer toleranceZone) {
		this.toleranceZone = toleranceZone;
	}

	public void setDepartmentCodeP(String departmentCodeP) {
		this.departmentCodeP = departmentCodeP;
	}

	public void setDepartmentDescP(String departmentDescP) {
		this.departmentDescP = departmentDescP;
	}

	public void setScheduleCode(String scheduleCode) {
		this.scheduleCode = scheduleCode;
	}

	public void setSplineDesc(String splineDesc) {
		this.splineDesc = splineDesc;
	}

	public void setSamFcode(String samFcode) {
		this.samFcode = samFcode;
	}

	public void setBatchInterval(String batchInterval) {
		this.batchInterval = batchInterval;
	}

}
